using System;

namespace CryoMeasurementManagerLib
{
	public class CryoMessage
	{
		protected string _command;

		protected uint _id;

		public CryoMessage(int id)
		{
		}

		public void Extract()
		{
			try
			{
			}
			catch (Exception)
			{
				throw;
			}
		}

		public string GetCommand()
		{
			string str;
			try
			{
				str = "@@@DEFAULT RETURN STRING;";
			}
			catch (Exception)
			{
				throw;
			}
			return str;
		}

		public uint GetId()
		{
			uint num;
			try
			{
				num = 0;
			}
			catch (Exception)
			{
				throw;
			}
			return num;
		}

		public void Insert()
		{
			try
			{
			}
			catch (Exception)
			{
				throw;
			}
		}
	}
}